> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# त्वरित शुरुआत

> अपने पोस्ट्स पर आए रिप्लाई को छिपाएँ और फिर से दिखाएँ

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

यह मार्गदर्शिका आपको आपके द्वारा शुरू की गई बातचीतों में पोस्ट्स के रिप्लाई को छिपाने और फिर से दिखाने की प्रक्रिया बताती है।

<Note>
  **पूर्वापेक्षाएँ**

  शुरू करने से पहले, आपके पास ये होने चाहिए:

  * स्वीकृत App के साथ एक [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * User Access Token (OAuth 1.0a या OAuth 2.0 PKCE)
</Note>

***

<div id="hide-a-reply">
  ## किसी रिप्लाई को छिपाएँ
</div>

<Steps>
  <Step title="रिप्लाई की पोस्ट ID ढूँढें" icon="message">
    जिस रिप्लाई को आप छिपाना चाहते हैं, उसकी ID पता करें। आप केवल उन बातचीतों के रिप्लाई छिपा सकते हैं जिन्हें authenticated उपयोगकर्ता ने शुरू किया है।

    ```
    https://x.com/user/status/1232720193182412800
                              └── यह पोस्ट ID है
    ```
  </Step>

  <Step title="छिपाने का अनुरोध भेजें" icon="eye-slash">
    <CodeGroup dropdown>
      ```bash cURL theme={null}
      curl -X PUT "https://api.x.com/2/tweets/1232720193182412800/hidden" \
        -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{"hidden": true}'
      ```

      ```python Python SDK theme={null}
      from xdk import Client
      from xdk.oauth1_auth import OAuth1

      oauth1 = OAuth1(
          api_key="YOUR_API_KEY",
          api_secret="YOUR_API_SECRET",
          access_token="YOUR_ACCESS_TOKEN",
          access_token_secret="YOUR_ACCESS_TOKEN_SECRET"
      )

      client = Client(auth=oauth1)

      # किसी रिप्लाई को छिपाएँ
      response = client.posts.hide_reply("1232720193182412800", hidden=True)
      print(f"Hidden: {response.data.hidden}")
      ```

      ```javascript JavaScript SDK theme={null}
      import { Client, OAuth1 } from "@xdevplatform/xdk";

      const oauth1 = new OAuth1({
        apiKey: "YOUR_API_KEY",
        apiSecret: "YOUR_API_SECRET",
        accessToken: "YOUR_ACCESS_TOKEN",
        accessTokenSecret: "YOUR_ACCESS_TOKEN_SECRET",
      });

      const client = new Client({ oauth1 });

      // किसी रिप्लाई को छिपाएँ
      const response = await client.posts.hideReply("1232720193182412800", {
        hidden: true,
      });
      console.log(`Hidden: ${response.data?.hidden}`);
      ```
    </CodeGroup>
  </Step>

  <Step title="पुष्टि करें कि रिप्लाई छिपा दिया गया है" icon="check">
    ```json theme={null}
    {
      "data": {
        "hidden": true
      }
    }
    ```

    यह रिप्लाई अब मुख्य बातचीत वाले व्यू में छिपा दिया गया है। उपयोगकर्ता फिर भी "View hidden replies" पर क्लिक करके इसे देख सकते हैं।
  </Step>
</Steps>

***

<div id="unhide-a-reply">
  ## किसी रिप्लाई को फिर से दिखाएँ
</div>

किसी छिपी हुई रिप्लाई को फिर से दिखाने के लिए:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl -X PUT "https://api.x.com/2/tweets/1232720193182412800/hidden" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"hidden": false}'
  ```

  ```python Python SDK theme={null}
  from xdk import Client
  from xdk.oauth1_auth import OAuth1

  oauth1 = OAuth1(
      api_key="YOUR_API_KEY",
      api_secret="YOUR_API_SECRET",
      access_token="YOUR_ACCESS_TOKEN",
      access_token_secret="YOUR_ACCESS_TOKEN_SECRET"
  )

  client = Client(auth=oauth1)

  # किसी रिप्लाई को फिर से दिखाएँ
  response = client.posts.hide_reply("1232720193182412800", hidden=False)
  print(f"Hidden: {response.data.hidden}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client, OAuth1 } from "@xdevplatform/xdk";

  const oauth1 = new OAuth1({
    apiKey: "YOUR_API_KEY",
    apiSecret: "YOUR_API_SECRET",
    accessToken: "YOUR_ACCESS_TOKEN",
    accessTokenSecret: "YOUR_ACCESS_TOKEN_SECRET",
  });

  const client = new Client({ oauth1 });

  // किसी रिप्लाई को फिर से दिखाएँ
  const response = await client.posts.hideReply("1232720193182412800", {
    hidden: false,
  });
  console.log(`Hidden: ${response.data?.hidden}`);
  ```
</CodeGroup>

**रिस्पॉन्स:**

```json theme={null}
{
  "data": {
    "hidden": false
  }
}
```

***

<div id="important-notes">
  ## महत्वपूर्ण नोट्स
</div>

<Note>
  * आप केवल उन वार्तालापों में रिप्लाई छिपा सकते हैं **जिन्हें आपने शुरू किया है**
  * छिपाए गए रिप्लाई "View hidden replies" के ज़रिए अब भी दिखाई देते हैं
  * किसी रिप्लाई को छिपाने पर उसके लेखक को इसकी सूचना नहीं दी जाती
</Note>

***

<div id="next-steps">
  ## अगले चरण
</div>

<CardGroup cols={2}>
  <Card title="विषय के आधार पर प्रबंधित करें" icon="tags" href="/hi/x-api/posts/hide-replies/integrate/manage-replies-by-topic">
    सामग्री के आधार पर रिप्लाई मॉडरेट करें
  </Card>

  <Card title="रियल-टाइम मॉडरेशन" icon="bolt" href="/hi/x-api/posts/hide-replies/integrate/manage-replies-in-realtime">
    रिप्लाई आते ही उन्हें मॉडरेट करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/hide-reply">
    एंडपॉइंट का पूरा दस्तावेज़ीकरण
  </Card>
</CardGroup>
